Debian Bug report logs - #523249
qa.debian.org: Popcon sorts alphabetically.

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Charles Plessy <plessy@debian.org>

Date: Thu, 9 Apr 2009 02:06:02 UTC

Severity: minor

Fixed in version 2785

Done: Bart Martens <bartm@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, <debian-qa@lists.debian.org>:
Bug#523249; Package qa.debian.org. (Thu, 09 Apr 2009 02:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, <debian-qa@lists.debian.org>. (Thu, 09 Apr 2009 02:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: Popcon sorts alphabetically.
Date: Thu, 09 Apr 2009 11:04:27 +0900
Package: qa.debian.org
Severity: minor

Dear PTS people,

When using the “ordering=3” option, the Popcon scores are sorted alphabetically
after clicking on “Popcon” Compare for instance:

http://qa.debian.org/developer.php?login=debian-med-packaging@lists.alioth.debian.org
http://qa.debian.org/developer.php?login=debian-med-packaging@lists.alioth.debian.org&ordering=3

Apparently, this bug does not affect simpler pages:

http://qa.debian.org/developer.php?login=plessy
http://qa.debian.org/developer.php?login=plessy&ordering=3

I am using Iceweasel 3.0.6-1

Have a nice day, and thanks for all the developments on the PTS page !

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#523249; Package qa.debian.org. (Sun, 19 Jul 2009 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 19 Jul 2009 21:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 523249@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 523249@bugs.debian.org
Subject: Re: qa.debian.org: Popcon sorts alphabetically.
Date: Sun, 19 Jul 2009 23:11:48 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi

I have had a look at it and I think the issue is that one of the
packages[1] listed have a popcon value "-". When ordering is not "3",
then it is listed in a different table (further down), which suffers
from the same problem.

~Niels

[1] "mozilla-biofox" in the example given.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkpjjBMACgkQVCqoiq1YlqzXYgCgjSF5Y9E8RArezq2V6dlTMLG0
pBgAn3Rxb4cRkqUsv1qLmjFLLa2xd+tv
=hoQ1
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#523249; Package qa.debian.org. (Mon, 27 Jun 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 27 Jun 2011 12:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 523249@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 523249@bugs.debian.org
Subject: Re: qa.debian.org: Popcon sorts alphabetically.
Date: Mon, 27 Jun 2011 21:52:43 +0900
Le Thu, Apr 09, 2009 at 11:04:27AM +0900, Charles Plessy a écrit :
> Package: qa.debian.org
> Severity: minor
> 
> Dear PTS people,
> 
> When using the “ordering=3” option, the Popcon scores are sorted alphabetically
> after clicking on “Popcon” Compare for instance:
> 
> http://qa.debian.org/developer.php?login=debian-med-packaging@lists.alioth.debian.org
> http://qa.debian.org/developer.php?login=debian-med-packaging@lists.alioth.debian.org&ordering=3
> 
> Apparently, this bug does not affect simpler pages:
> 
> http://qa.debian.org/developer.php?login=plessy
> http://qa.debian.org/developer.php?login=plessy&ordering=3

Hello,

today, in http://qa.debian.org/developer.php?login=plessy the popcon values
started to sort alphabetically as well.  Intrestingly the QA page of my
colleague Andreas does not have this problem
(http://qa.debian.org/developer.php?login=tille).  As in his case, one popcon
value is ‘-’, I think we can discard the hypothesis of Niels
(http://bugs.debian.org/523249#10)

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Reply sent to Bart Martens <bartm@alioth.debian.org>:
You have taken responsibility. (Sun, 05 Aug 2012 15:33:03 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Sun, 05 Aug 2012 15:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 523249-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@alioth.debian.org>
To: 523249-done@bugs.debian.org, 668320-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2785
Date: Sun, 05 Aug 2012 15:29:20 +0000
Version: 2785

This bug was closed by Bart Martens (bartm) in SVN revision 2785.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Add leading zeroes to popcon with sprintf.  Closes: #523249, #668320.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Sep 2012 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:09:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.